Arch MergeWalls: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 7: Line 7:
|[[Arch_Module|Arch]]
|[[Arch_Module|Arch]]
|IconL=Arch_CloseHoles.svg
|IconL=Arch_CloseHoles.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Check.svg
|IconR=Arch_Check.svg
|IconC=Workbench_Arch.svg
}}
}}


Line 22: Line 22:


<!--T:6-->
<!--T:6-->
The [[Arch MergeWalls|MergeWalls]] tool fuses two or more selected {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch Wall|Arch Walls]]}}.
The [[Arch_MergeWalls|MergeWalls]] tool fuses two or more selected {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch_Wall|Arch Walls]]}}.


==Usage== <!--T:3-->
==Usage== <!--T:3-->
Line 63: Line 63:
}}
}}
<translate>
<translate>

<!--T:11-->
<!--T:11-->
{{Docnav
{{Docnav
Line 69: Line 70:
|[[Arch_Module|Arch]]
|[[Arch_Module|Arch]]
|IconL=Arch_CloseHoles.svg
|IconL=Arch_CloseHoles.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Check.svg
|IconR=Arch_Check.svg
|IconC=Workbench_Arch.svg
}}
}}



Revision as of 14:57, 29 November 2020

Arch MergeWalls

Menu location
Arch → Utilities → Merge Walls
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Wall

Description

The MergeWalls tool fuses two or more selected Arch Walls.

Usage

  1. Select two or more walls.
  2. Press the button, or use the ArchUtilities Merge Walls from the top menu.

Properties

Limitations

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])